본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Payment management(Deprecated)

사이드 메뉴

Kakao Map

Search

Payment management(Deprecated)

This document describes how to use the Payment management APIs.

Create virtual account for direct deposit

Basic information
MethodURLAuthorization
POSThttps://apis.moment.kakao.com/openapi/v4/billing/virtualAccountBusiness token

Creates a virtual account for direct deposit.

Send a POST request with the issued business token and an ad account ID (adAccountId) in the request header. You must pass the bank code where a virtual account will be created and the deposit amount when you request. If failed, refer to Error code to figure out its failure cause.

This API limits the number of calls you can make to every second per user account.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Body
NameTypeDescriptionRequired
adAccountIdIntegerAd account's ID.O
amountIntegerDeposit amount.O
bankCodeStringBank code.
03: 기업은행 (IBK)
04: 국민은행 (KB Bank)
11: 농협은행 (Nonghyup Bank)
81: 하나은행 (Hana Bank)
20: 우리은행 (Woori Bank)
88: 신한은행 (Shinhan Bank)
39: 경남은행 (Kyongnam Bank)
71: 우체국 (Post Office)
32: 부산은행 (Busan Bank)
31: 대구은행 (Daegu Bank)
O

Response

Body
NameTypeDescription
accountNumberStringVirtual account's number.
accountOwnerNameStringVirtual account's holder name.
amountIntegerDeposit amount.
bankCodeStringBank code.
bankNameStringBank name.
expireDttmStringVirtual account expiration date.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/billing/virtualAccount" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}" \
-d '{
"adAccountId" : 12345,
"amount" : 1000000,
"bankCode" : "88"
}'
Response
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
{
"accountNumber": "X123456789012",
"accountOwnerName": "(주)카카오",
"amount": 1000000,
"bankCode": "88",
"bankName": "신한",
"expireDttm": "2020-08-17T17:28:12.683"
}

See more

Was this helpful?